FCPE-SPI FLAM Column Processing Exit (FCPE) Service Provider Interface (SPI)

Typedefs
FCPE function

This is the only function which must be provided by a DLL/SO or load module to fulfill the FLAM Column Processing Exit (FCPE) Service Provider Interface (SPI). More...

## Typedefs
typedef void() | TfFcpExit(void **ppHdl, int *piRetco, const int *piFunc, TuFcpePar *puPara)
| FCPE function. More...

## Detailed Description

This is the only function which must be provided by a DLL/SO or load module to fulfill the FLAM Column Processing Exit (FCPE) Service Provider Interface (SPI).

## Typedef Documentation

## ◆ TfFcpExit

typedef void() TfFcpExit(void **ppHdl, int *piRetco, const int *piFunc, TuFcpePar *puPara)

FCPE function.

This is the function which must be implemented for user specific column processing. The same handle is passed to consecutive calls and may be used by the exit function to store internal state.

The return code must be set as output parameter by the exit function. The function code is an input parameter and contains one of the values defined in this section. Depending on the provided function code, a pointer to a specific parameter structure is given as last parameter.

Parameters

  [in,out] | ppHdl | POINTER Service provider handle
  [out] | piRetco | INTEGER Return code
  [in] | piFunc | INTEGER Function code (OPN/RUN/CLS)
  [in,out] | puPara | POINTER Parameter structure